Package: org.codehaus.groovy.control.messages

## [Java] Class SimpleMessage

- org.codehaus.groovy.control.messages.SimpleMessage

-     public class SimpleMessage
      extends Message

  A base class for compilation messages.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Object` | `data` | used when message is an I18N identifier
    `protected String` | `message` |
    `protected ProcessingUnit` | `owner` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleMessage(String message, ProcessingUnit owner)`
    `SimpleMessage(String message, Object data, ProcessingUnit owner)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getMessage()`
    `` | `public void` | `write(PrintWriter writer, Janitor janitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Message` | `create, create, create, write, write`

- - ### Field Detail

    - #### protected Object data

      used when message is an I18N identifier

    - #### protected String message

    - #### protected ProcessingUnit owner

  - ### Constructor Detail

    - #### public SimpleMessage(String message, ProcessingUnit owner)

    - #### public SimpleMessage(String message, Object data, ProcessingUnit owner)

  - ### Method Detail

    - #### public String getMessage()

    - #### @Override
      public void write(PrintWriter writer, Janitor janitor)